/* eslint-disable prettier/prettier */
import React from 'react';
import RectColorPicker from './rjs';
export default function RectColor(props) {
  const canvasIdRef = React.useRef(props.canvasId || `canvasId_${String(+new Date()).slice(-3)}_${String(Math.random()).slice(-3)}`);
  return /*#__PURE__*/React.createElement(RectColorPicker, {
    canvasId: canvasIdRef.current,
    radius: props.radius,
    innerRingRadius: props.innerRingRadius,
    value: props.value,
    useEventChannel: props.useEventChannel,
    eventChannelName: props.eventChannelName,
    touchCircleStrokeStyle: props.touchCircleStrokeStyle,
    touchCircleLineWidth: props.touchCircleLineWidth,
    bindstart: e => {
      const {
        detail
      } = e;
      const temp = Math.floor(detail);
      props.onTouchStart && props.onTouchStart(temp);
    },
    bindmove: e => {
      const {
        detail
      } = e;
      const temp = Math.floor(detail);
      props.onTouchMove && props.onTouchMove(temp);
    },
    bindend: e => {
      const {
        detail
      } = e;
      const temp = Math.floor(detail);
      props.onTouchEnd && props.onTouchEnd(temp);
    }
  });
}