import React from 'react';
import { View, Image, Text } from '@ray-js/components';
import clsx from 'clsx';
import res from './res';
import Strings from './i18n';
import AnnulusPickerColor from './component';
import styled from './index.module.less';
const {
  ring
} = res;
const LampCirclePicker = props => {
  const {
    value,
    temperature,
    radius,
    innerRingRadius,
    useEventChannel,
    eventChannelName,
    titleStyle,
    descStyle,
    style,
    onTouchStart,
    desc,
    onTouchMove,
    onTouchEnd,
    showInnerCircle = true,
    touchCircleLineWidth,
    touchCircleStrokeStyle
  } = props;
  const innerImgRadius = innerRingRadius * 4 * 0.8;
  const _value = value !== null && value !== void 0 ? value : temperature;
  return /*#__PURE__*/React.createElement(View, {
    className: clsx(styled.container, styled.flexCenter),
    style: style
  }, /*#__PURE__*/React.createElement(AnnulusPickerColor, {
    value: _value,
    radius: radius,
    innerRingRadius: innerRingRadius,
    useEventChannel: useEventChannel || false,
    eventChannelName: eventChannelName,
    touchCircleLineWidth: touchCircleLineWidth,
    touchCircleStrokeStyle: touchCircleStrokeStyle,
    onTouchStart: onTouchStart,
    onTouchMove: onTouchMove,
    onTouchEnd: onTouchEnd
  }), /*#__PURE__*/React.createElement(View, {
    className: clsx(styled.innerBox, styled.flexCenter)
  }, showInnerCircle && /*#__PURE__*/React.createElement(Image, {
    src: ring,
    className: styled.ringIcon,
    style: {
      width: innerImgRadius,
      height: innerImgRadius
    }
  }), /*#__PURE__*/React.createElement(View, {
    className: clsx(styled.textBox, styled.flexCenter)
  }, /*#__PURE__*/React.createElement(Text, {
    className: styled.title,
    style: titleStyle
  }, Math.trunc(_value / 10), "%"), /*#__PURE__*/React.createElement(Text, {
    className: styled.desc,
    style: descStyle
  }, desc || Strings.getLang('temperature')))));
};
const nilFn = () => null;
LampCirclePicker.defaultProps = {
  radius: 140,
  innerRingRadius: 80,
  useEventChannel: false,
  eventChannelName: 'lampCirclePickerEventChannel',
  titleStyle: {},
  descStyle: {},
  style: {},
  onTouchStart: nilFn,
  onTouchMove: nilFn,
  onTouchEnd: nilFn
};
export default LampCirclePicker;