import React, { useState, useEffect } from 'react';
import { View, Text } from '@ray-js/components';
import LampCirclePicker from '../../../src/index';

import styles from './index.module.less';

const DemoBlock = ({ title, children }) => (
  <View className={styles.demoBlock}>
    <View className={styles.demoBlockTitle}>
      <Text className={styles.demoBlockTitleText}>{title}</Text>
    </View>
    {children}
  </View>
);

export default function Home() {
  const [temperature, setTemperature] = useState(20);

  const handleMove = (v: number) => {
    setTemperature(v);
  };

  const handleEnd = (v: number) => {
    setTemperature(v);
  };
  useEffect(() => {
    setTimeout(() => {
      setTemperature(500);
    }, 3000);
  }, []);
  return (
    <View className={styles.view}>
      <DemoBlock title="基础用法">
        <LampCirclePicker
          value={temperature}
          innerRingRadius={60}
          radius={80}
          useEventChannel
          onTouchMove={handleMove}
          showInnerCircle={false}
          onTouchEnd={handleEnd}
        />
      </DemoBlock>
      {/* <DemoBlock title="自定义滑块样式">
        <LampCirclePicker
          value={temperature}
          innerRingRadius={60}
          radius={80}
          useEventChannel
          onTouchMove={handleMove}
          showInnerCircle={false}
          onTouchEnd={handleEnd}
          touchCircleLineWidth={8}
          touchCircleStrokeStyle="#fff"
        />
      </DemoBlock> */}
    </View>
  );
}
