/* eslint-disable prettier/prettier */
import React from 'react';

import RectColorPicker from './rjs';
import { IProps } from './props';

export default function RectColor(props: IProps) {
  const onTouchStart = e => {
    const { detail } = e;
    const temp = Math.floor(detail);
    props.onTouchStart && props.onTouchStart(temp);
  };
  const onTouchMove = e => {
    const { detail } = e;
    const temp = Math.floor(detail);
    props.onTouchMove && props.onTouchMove(temp);
  };
  const onTouchEnd = e => {
    const { detail } = e;
    const temp = Math.floor(detail);
    props.onTouchEnd && props.onTouchEnd(temp);
  };

  const canvasIdRef = React.useRef(
    props.canvasId || `canvasId_${String(+new Date()).slice(-3)}_${String(Math.random()).slice(-3)}`
  );

  return (
    <RectColorPicker
      canvasId={canvasIdRef.current}
      radius={props.radius}
      innerRingRadius={props.innerRingRadius}
      value={props.value}
      useEventChannel={props.useEventChannel}
      eventChannelName={props.eventChannelName}
      touchCircleStrokeStyle={props.touchCircleStrokeStyle}
      touchCircleLineWidth={props.touchCircleLineWidth}
      bindstart={onTouchStart}
      bindmove={onTouchMove}
      bindend={onTouchEnd}
    />
  );
}
